1. Quick start
Airalo Developer Platform
  • OVERVIEW
    • Introduction
    • Attribute descriptions
    • FAQ
    • Developer feedback
    • Quick start
      • Step 1: Request access token
        POST
      • Step 2: Get packages
        GET
      • Step 3: Submit order
        POST
      • Step 4: Get installation instructions
        GET
    • Guides
      • How to set up a brand for eSIMs Cloud link sharing
      • How to get the eSIMs Cloud sharing link through API
      • How to generate the QR code for an eSIM
      • eSIM installation methods for API Partners
  • REST API
    • Introduction
    • Rate limits
    • Error handling
    • Go live checklist
    • Sandbox mode
    • Endpoints
      • Authenticate
        • Request access token
      • Browse packages
        • Get packages
      • Place order
        • Future orders
        • Submit order
        • Submit order async
        • eSIM voucher
      • Request refund
        • Request refund
      • Install eSIM
        • Get eSIM
        • Get installation instructions
      • Monitor usage
        • Get usage (data, text & voice)
      • Top up eSIM
        • Get top-up package list
        • Submit top-up order
      • Manage orders
        • Get order list
        • Get order
        • Cancel future orders
        • Future Orders
      • Manage eSIMs
        • Update eSIM brand
        • Get eSIMs list
        • Get eSIM package history
      • Compatible devices
        • [Deprecated] Get compatible device list
        • Get compatible device lite list
      • Notifications
        • Airalo webhooks opt-in and flow
        • Webhooks guide
        • Webhook definition
        • Notification: Low data
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Credit limit
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Async orders
          • Opt in
          • Get notification details
          • Opt out
        • Webhook simulator
      • Check balance
        • Get balance
  • SDKs
    • Introduction
    • SDK vs. REST API
    • Technical notes
  • WOOCOMMERCE PLUGIN
    • Introduction
    • Guides
      • How to install the Airalo Plugin for WooCommerce
      • How to customize the "My eSIMs" page colors in WooCommerce
      • How to convert prices into your local currency
  1. Quick start

Step 1: Request access token

POST
/v2/token
💡
This endpoint comes with a Rate Limit: You can send up to 3 requests per minute to get your Access token. Access token is valid for 24 hours.
This endpoint lets you obtain an access token, which is necessary for making requests to the Airalo Partners API. Submit your client_id and client_secret to obtain your 24 hour valid token.
It's important to call this endpoint every 24 hours to ensure your token is not expired and avoid disruptions in your integration.
✍
Got a Minute? We'd love to hear your feedback. Share your thoughts →

Request

Header Params

Body Params application/x-www-form-urlencoded

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://partners-api.airalo.com/v2/token' \
--header 'Accept: application/json' \
--data-urlencode 'client_id=<replace with client id>' \
--data-urlencode 'client_secret=<replace with client secret>' \
--data-urlencode 'grant_type=client_credentials'

Responses

🟢200Request Access Token (200)
application/json
Bodyapplication/json

Examples
{
    "data": {
        "token_type": "Bearer",
        "expires_in": 31622400,
        "access_token": "<access token>"
    },
    "meta": {
        "message": "success"
    }
}
🟠422Request Access Token (422)
🟠422Request Access Token (401)
Modified at 2026-04-23 08:30:01
Previous
Quick start
Next
Step 2: Get packages
Built with